org.apache.hc.core5.http2.impl.nio

## Interface H2StreamListener

- All Known Implementing Classes:
    LoggingH2StreamListener

      @Contract(threading=STATELESS)
      @Internal
      public interface H2StreamListener

  HTTP/2 stream event listener.
  Since:
    5.0

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onFrameInput(HttpConnection connection, int streamId, RawFrame frame)`
    `void` | `onFrameOutput(HttpConnection connection, int streamId, RawFrame frame)`
    `void` | `onHeaderInput(HttpConnection connection, int streamId, List<? extends Header> headers)`
    `void` | `onHeaderOutput(HttpConnection connection, int streamId, List<? extends Header> headers)`
    `void` | `onInputFlowControl(HttpConnection connection, int streamId, int delta, int actualSize)`
    `void` | `onOutputFlowControl(HttpConnection connection, int streamId, int delta, int actualSize)`

- - ### Method Detail

    - #### onHeaderInput

          void onHeaderInput(HttpConnection connection,
                           int streamId,
                           List<? extends Header> headers)

    - #### onHeaderOutput

          void onHeaderOutput(HttpConnection connection,
                            int streamId,
                            List<? extends Header> headers)

    - #### onFrameInput

          void onFrameInput(HttpConnection connection,
                          int streamId,
                          RawFrame frame)

    - #### onFrameOutput

          void onFrameOutput(HttpConnection connection,
                           int streamId,
                           RawFrame frame)

    - #### onInputFlowControl

          void onInputFlowControl(HttpConnection connection,
                                int streamId,
                                int delta,
                                int actualSize)

    - #### onOutputFlowControl

          void onOutputFlowControl(HttpConnection connection,
                                 int streamId,
                                 int delta,
                                 int actualSize)

Copyright © 2005–2020 The Apache Software Foundation. All rights reserved.